com.pivotal.gemfirexd.internal.client.am

## Class SqlWarning

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.pivotal.gemfirexd.internal.client.am.SqlException
      - - com.pivotal.gemfirexd.internal.client.am.SqlWarning

All Implemented Interfaces:
  Diagnosable, Serializable

    public class SqlWarning
    extends SqlException
    implements Diagnosable

This represents a warning versus a full exception. As with SqlException, this is an internal representation of java.sql.SQLWarning. Public JDBC methods need to convert an internal SqlWarning to a SQLWarning using `getSQLWarning()`

See Also:
  Serialized Form

### Field Summary

Fields
`protected SqlWarning` `nextWarning_`

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.SqlException

`args_, BATCH_POSITION_ID, cachedMessage_, CAUSED_BY_EXCEPTION_ID, causeString_, CLIENT_MESSAGE_RESOURCE_NAME, DEFAULT_ERRCODE, errorcode_, message_, msgid_, nextException_, sqlca_, sqlstate_, throwable_, wrappedException_`

### Constructor Summary

Constructors
`` `SqlWarning(LogWriter logwriter, ClientMessageId msgid)`
`` `SqlWarning(LogWriter logwriter, ClientMessageId msgid, Object arg1)`
`` `SqlWarning(LogWriter logwriter, ClientMessageId msgid, Object[] args)`
`` `SqlWarning(LogWriter logwriter, ClientMessageId msgid, Object[] args, Throwable cause)`
`` `SqlWarning(LogWriter logwriter, ClientMessageId msgid, Object arg1, Object arg2)`
`` `SqlWarning(LogWriter logwriter, ClientMessageId msgid, Object arg1, Object arg2, Object arg3)`
`` `SqlWarning(LogWriter logWriter, Sqlca sqlca)`
`protected` `SqlWarning(LogWriter logWriter, Throwable throwable, String reason, String sqlState, int errorCode)`

### Method Summary

Methods
`SqlWarning` `getNextWarning()`
`SQLWarning` `getSQLWarning(Agent agent)` Get the java.sql.SQLWarning for this SqlWarning
`void` `setNextWarning(SqlWarning warning)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.SqlException

`getErrorCode, getMessage, getMessageUtil, getNextException, getSqlca, getSQLException, getSQLException, getSQLState, javaException, printTrace, setNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.Diagnosable

`getSqlca, printTrace`

### Field Detail

#### nextWarning_

    protected SqlWarning nextWarning_

### Constructor Detail

#### SqlWarning

    public SqlWarning(LogWriter logwriter,
              ClientMessageId msgid,
              Object[] args,
              Throwable cause)

#### SqlWarning

    public SqlWarning(LogWriter logwriter,
              ClientMessageId msgid,
              Object[] args)

#### SqlWarning

    public SqlWarning(LogWriter logwriter,
              ClientMessageId msgid)

#### SqlWarning

    public SqlWarning(LogWriter logwriter,
              ClientMessageId msgid,
              Object arg1)

#### SqlWarning

    public SqlWarning(LogWriter logwriter,
              ClientMessageId msgid,
              Object arg1,
              Object arg2)

#### SqlWarning

    public SqlWarning(LogWriter logwriter,
              ClientMessageId msgid,
              Object arg1,
              Object arg2,
              Object arg3)

#### SqlWarning

    public SqlWarning(LogWriter logWriter,
              Sqlca sqlca)

#### SqlWarning

    protected SqlWarning(LogWriter logWriter,
              Throwable throwable,
              String reason,
              String sqlState,
              int errorCode)

### Method Detail

#### setNextWarning

    public void setNextWarning(SqlWarning warning)

#### getNextWarning

    public SqlWarning getNextWarning()

#### getSQLWarning

    public SQLWarning getSQLWarning(Agent agent)

Get the java.sql.SQLWarning for this SqlWarning